Package org.snpsift.antlr

# Class SnpSiftBaseVisitor<T>

java.lang.Object
org.antlr.v4.runtime.tree.AbstractParseTreeVisitor<T>
org.snpsift.antlr.SnpSiftBaseVisitor<T>

Type Parameters:
  `T` - The return type of the visit operation. Use `Void` for operations with no return type.

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTreeVisitor<T>`, `SnpSiftVisitor<T>`

public class SnpSiftBaseVisitor<T> extends org.antlr.v4.runtime.tree.AbstractParseTreeVisitor<T> implements SnpSiftVisitor<T>
This class provides an empty implementation of `SnpSiftVisitor`, which can be extended to create a visitor which only needs to handle a subset of the available methods.

## Constructor Summary

Constructors
Constructor
Description
`SnpSiftBaseVisitor()`

## Method Summary

Modifier and Type
Method
Description
`T`
`visitCompilationUnit(SnpSiftParser.CompilationUnitContext ctx)`
Visit a parse tree produced by `SnpSiftParser.compilationUnit()`.
`T`
`visitExpressionComp(SnpSiftParser.ExpressionCompContext ctx)`
Visit a parse tree produced by the `expressionComp` labeled alternative in `SnpSiftParser.expression()`.
`T`
`visitExpressionCond(SnpSiftParser.ExpressionCondContext ctx)`
Visit a parse tree produced by the `expressionCond` labeled alternative in `SnpSiftParser.expression()`.
`T`
`visitExpressionExists(SnpSiftParser.ExpressionExistsContext ctx)`
Visit a parse tree produced by the `expressionExists` labeled alternative in `SnpSiftParser.expression()`.
`T`
`visitExpressionLogic(SnpSiftParser.ExpressionLogicContext ctx)`
Visit a parse tree produced by the `expressionLogic` labeled alternative in `SnpSiftParser.expression()`.
`T`
`visitExpressionParen(SnpSiftParser.ExpressionParenContext ctx)`
Visit a parse tree produced by the `expressionParen` labeled alternative in `SnpSiftParser.expression()`.
`T`
`visitExpressionPlus(SnpSiftParser.ExpressionPlusContext ctx)`
Visit a parse tree produced by the `expressionPlus` labeled alternative in `SnpSiftParser.expression()`.
`T`
`visitExpressionSet(SnpSiftParser.ExpressionSetContext ctx)`
Visit a parse tree produced by the `expressionSet` labeled alternative in `SnpSiftParser.expression()`.
`T`
`visitExpressionTimes(SnpSiftParser.ExpressionTimesContext ctx)`
Visit a parse tree produced by the `expressionTimes` labeled alternative in `SnpSiftParser.expression()`.
`T`
`visitExpressionUnary(SnpSiftParser.ExpressionUnaryContext ctx)`
Visit a parse tree produced by the `expressionUnary` labeled alternative in `SnpSiftParser.expression()`.
`T`
`visitFunctionCall(SnpSiftParser.FunctionCallContext ctx)`
Visit a parse tree produced by the `functionCall` labeled alternative in `SnpSiftParser.expression()`.
`T`
`visitLiteralBool(SnpSiftParser.LiteralBoolContext ctx)`
Visit a parse tree produced by the `literalBool` labeled alternative in `SnpSiftParser.expression()`.
`T`
`visitLiteralFloat(SnpSiftParser.LiteralFloatContext ctx)`
Visit a parse tree produced by the `literalFloat` labeled alternative in `SnpSiftParser.expression()`.
`T`
`visitLiteralIndex(SnpSiftParser.LiteralIndexContext ctx)`
Visit a parse tree produced by the `literalIndex` labeled alternative in `SnpSiftParser.expression()`.
`T`
`visitLiteralInt(SnpSiftParser.LiteralIntContext ctx)`
Visit a parse tree produced by the `literalInt` labeled alternative in `SnpSiftParser.expression()`.
`T`
`visitLiteralString(SnpSiftParser.LiteralStringContext ctx)`
Visit a parse tree produced by the `literalString` labeled alternative in `SnpSiftParser.expression()`.
`T`
`visitVarReference(SnpSiftParser.VarReferenceContext ctx)`
Visit a parse tree produced by the `varReference` labeled alternative in `SnpSiftParser.expression()`.
`T`
`visitVarReferenceList(SnpSiftParser.VarReferenceListContext ctx)`
Visit a parse tree produced by the `varReferenceList` labeled alternative in `SnpSiftParser.expression()`.
`T`
`visitVarReferenceListSub(SnpSiftParser.VarReferenceListSubContext ctx)`
Visit a parse tree produced by the `varReferenceListSub` labeled alternative in `SnpSiftParser.expression()`.

### Methods inherited from class org.antlr.v4.runtime.tree.AbstractParseTreeVisitor

`aggregateResult, defaultResult, shouldVisitNextChild, visit, visitChildren, visitErrorNode, visitTerminal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeVisitor

`visit, visitChildren, visitErrorNode, visitTerminal`

## Constructor Details

### SnpSiftBaseVisitor

public SnpSiftBaseVisitor()

## Method Details

### visitCompilationUnit

public T visitCompilationUnit(SnpSiftParser.CompilationUnitContext ctx)
Visit a parse tree produced by `SnpSiftParser.compilationUnit()`.

The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

Specified by:
  `visitCompilationUnit` in interface `SnpSiftVisitor<T>`
Parameters:
  `ctx` - the parse tree
Returns:
  the visitor result

### visitExpressionSet

public T visitExpressionSet(SnpSiftParser.ExpressionSetContext ctx)
Visit a parse tree produced by the `expressionSet` labeled alternative in `SnpSiftParser.expression()`.

The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

Specified by:
  `visitExpressionSet` in interface `SnpSiftVisitor<T>`
Parameters:
  `ctx` - the parse tree
Returns:
  the visitor result

### visitLiteralString

public T visitLiteralString(SnpSiftParser.LiteralStringContext ctx)
Visit a parse tree produced by the `literalString` labeled alternative in `SnpSiftParser.expression()`.

The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

Specified by:
  `visitLiteralString` in interface `SnpSiftVisitor<T>`
Parameters:
  `ctx` - the parse tree
Returns:
  the visitor result

### visitExpressionUnary

public T visitExpressionUnary(SnpSiftParser.ExpressionUnaryContext ctx)
Visit a parse tree produced by the `expressionUnary` labeled alternative in `SnpSiftParser.expression()`.

The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

Specified by:
  `visitExpressionUnary` in interface `SnpSiftVisitor<T>`
Parameters:
  `ctx` - the parse tree
Returns:
  the visitor result

### visitExpressionComp

public T visitExpressionComp(SnpSiftParser.ExpressionCompContext ctx)
Visit a parse tree produced by the `expressionComp` labeled alternative in `SnpSiftParser.expression()`.

The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

Specified by:
  `visitExpressionComp` in interface `SnpSiftVisitor<T>`
Parameters:
  `ctx` - the parse tree
Returns:
  the visitor result

### visitLiteralBool

public T visitLiteralBool(SnpSiftParser.LiteralBoolContext ctx)
Visit a parse tree produced by the `literalBool` labeled alternative in `SnpSiftParser.expression()`.

The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

Specified by:
  `visitLiteralBool` in interface `SnpSiftVisitor<T>`
Parameters:
  `ctx` - the parse tree
Returns:
  the visitor result

### visitVarReferenceList

public T visitVarReferenceList(SnpSiftParser.VarReferenceListContext ctx)
Visit a parse tree produced by the `varReferenceList` labeled alternative in `SnpSiftParser.expression()`.

The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

Specified by:
  `visitVarReferenceList` in interface `SnpSiftVisitor<T>`
Parameters:
  `ctx` - the parse tree
Returns:
  the visitor result

### visitLiteralFloat

public T visitLiteralFloat(SnpSiftParser.LiteralFloatContext ctx)
Visit a parse tree produced by the `literalFloat` labeled alternative in `SnpSiftParser.expression()`.

The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

Specified by:
  `visitLiteralFloat` in interface `SnpSiftVisitor<T>`
Parameters:
  `ctx` - the parse tree
Returns:
  the visitor result

### visitLiteralIndex

public T visitLiteralIndex(SnpSiftParser.LiteralIndexContext ctx)
Visit a parse tree produced by the `literalIndex` labeled alternative in `SnpSiftParser.expression()`.

The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

Specified by:
  `visitLiteralIndex` in interface `SnpSiftVisitor<T>`
Parameters:
  `ctx` - the parse tree
Returns:
  the visitor result

### visitVarReference

public T visitVarReference(SnpSiftParser.VarReferenceContext ctx)
Visit a parse tree produced by the `varReference` labeled alternative in `SnpSiftParser.expression()`.

The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

Specified by:
  `visitVarReference` in interface `SnpSiftVisitor<T>`
Parameters:
  `ctx` - the parse tree
Returns:
  the visitor result

### visitVarReferenceListSub

public T visitVarReferenceListSub(SnpSiftParser.VarReferenceListSubContext ctx)
Visit a parse tree produced by the `varReferenceListSub` labeled alternative in `SnpSiftParser.expression()`.

The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

Specified by:
  `visitVarReferenceListSub` in interface `SnpSiftVisitor<T>`
Parameters:
  `ctx` - the parse tree
Returns:
  the visitor result

### visitExpressionTimes

public T visitExpressionTimes(SnpSiftParser.ExpressionTimesContext ctx)
Visit a parse tree produced by the `expressionTimes` labeled alternative in `SnpSiftParser.expression()`.

The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

Specified by:
  `visitExpressionTimes` in interface `SnpSiftVisitor<T>`
Parameters:
  `ctx` - the parse tree
Returns:
  the visitor result

### visitExpressionExists

public T visitExpressionExists(SnpSiftParser.ExpressionExistsContext ctx)
Visit a parse tree produced by the `expressionExists` labeled alternative in `SnpSiftParser.expression()`.

The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

Specified by:
  `visitExpressionExists` in interface `SnpSiftVisitor<T>`
Parameters:
  `ctx` - the parse tree
Returns:
  the visitor result

### visitExpressionPlus

public T visitExpressionPlus(SnpSiftParser.ExpressionPlusContext ctx)
Visit a parse tree produced by the `expressionPlus` labeled alternative in `SnpSiftParser.expression()`.

The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

Specified by:
  `visitExpressionPlus` in interface `SnpSiftVisitor<T>`
Parameters:
  `ctx` - the parse tree
Returns:
  the visitor result

### visitExpressionLogic

public T visitExpressionLogic(SnpSiftParser.ExpressionLogicContext ctx)
Visit a parse tree produced by the `expressionLogic` labeled alternative in `SnpSiftParser.expression()`.

The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

Specified by:
  `visitExpressionLogic` in interface `SnpSiftVisitor<T>`
Parameters:
  `ctx` - the parse tree
Returns:
  the visitor result

### visitFunctionCall

public T visitFunctionCall(SnpSiftParser.FunctionCallContext ctx)
Visit a parse tree produced by the `functionCall` labeled alternative in `SnpSiftParser.expression()`.

The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

Specified by:
  `visitFunctionCall` in interface `SnpSiftVisitor<T>`
Parameters:
  `ctx` - the parse tree
Returns:
  the visitor result

### visitExpressionParen

public T visitExpressionParen(SnpSiftParser.ExpressionParenContext ctx)
Visit a parse tree produced by the `expressionParen` labeled alternative in `SnpSiftParser.expression()`.

The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

Specified by:
  `visitExpressionParen` in interface `SnpSiftVisitor<T>`
Parameters:
  `ctx` - the parse tree
Returns:
  the visitor result

### visitExpressionCond

public T visitExpressionCond(SnpSiftParser.ExpressionCondContext ctx)
Visit a parse tree produced by the `expressionCond` labeled alternative in `SnpSiftParser.expression()`.

The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

Specified by:
  `visitExpressionCond` in interface `SnpSiftVisitor<T>`
Parameters:
  `ctx` - the parse tree
Returns:
  the visitor result

### visitLiteralInt

public T visitLiteralInt(SnpSiftParser.LiteralIntContext ctx)
Visit a parse tree produced by the `literalInt` labeled alternative in `SnpSiftParser.expression()`.

The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

Specified by:
  `visitLiteralInt` in interface `SnpSiftVisitor<T>`
Parameters:
  `ctx` - the parse tree
Returns:
  the visitor result